extends Node2D

onready var oil_tanker = $OilTanker

func _ready():
	oil_tanker.connect('animation_finished', self, 'end_oil_tanker')

func end_oil_tanker():
	print('oil_tanker.frame')
	if oil_tanker.frame > 1:
		oil_tanker.hide()

func _input(event):
	if oil_tanker.visible:
		if event.is_action_pressed('right'):
			if !oil_tanker.is_playing():
				oil_tanker.play('default')
		if event.is_action_released('right'):
			oil_tanker.stop()
		
		if event.is_action_pressed('left'):
			if !oil_tanker.is_playing() && oil_tanker.frame > 0:
				oil_tanker.play('default', true)
		if event.is_action_released('left'):
			oil_tanker.stop()

